Package it.ernytech.tdlib

## Class TdApi.PageBlockEmbeddedPost

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PageBlock
    - - it.ernytech.tdlib.TdApi.PageBlockEmbeddedPost

Enclosing class:
  TdApi

    public static class TdApi.PageBlockEmbeddedPost
    extends TdApi.PageBlock

An embedded post.

### Field Summary

Fields
`java.lang.String` `author` Post author.
`TdApi.Photo` `authorPhoto` Post author photo.
`TdApi.RichText` `caption` Post caption.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `date` Point in time (Unix timestamp) when the post was created; 0 if unknown.
`TdApi.PageBlock[]` `pageBlocks` Post content.
`java.lang.String` `url` Web page URL.

### Constructor Summary

Constructors
`PageBlockEmbeddedPost()` Default constructor.
`PageBlockEmbeddedPost​(java.lang.String url, java.lang.String author, TdApi.Photo authorPhoto, int date, TdApi.PageBlock[] pageBlocks, TdApi.RichText caption)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### url

    public java.lang.String url

Web page URL.

#### author

    public java.lang.String author

Post author.

#### authorPhoto

    public TdApi.Photo authorPhoto

Post author photo.

#### date

    public int date

Point in time (Unix timestamp) when the post was created; 0 if unknown.

#### pageBlocks

    public TdApi.PageBlock[] pageBlocks

Post content.

#### caption

    public TdApi.RichText caption

Post caption.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PageBlockEmbeddedPost

    public PageBlockEmbeddedPost()

Default constructor.

#### PageBlockEmbeddedPost

    public PageBlockEmbeddedPost​(java.lang.String url,
                                 java.lang.String author,
                                 TdApi.Photo authorPhoto,
                                 int date,
                                 TdApi.PageBlock[] pageBlocks,
                                 TdApi.RichText caption)

Constructor for initialization of all fields.

Parameters:
  `url` - Web page URL.
  `author` - Post author.
  `authorPhoto` - Post author photo.
  `date` - Point in time (Unix timestamp) when the post was created; 0 if unknown.
  `pageBlocks` - Post content.
  `caption` - Post caption.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR